Subject: Re: bug#51327: 28.0.60; emacsclient warns about XDG_RUNTIME_DIR when starting daemon on-demand

From: Jim Porter <[email-masked]>
Date: Thu, 9 Dec 2021 11:45:13 -0800

On 12/9/2021 10:34 AM, Eli Zaretskii wrote:
>> Date: Thu, 9 Dec 2021 09:12:47 -0800
>> Cc: [email-masked], [email-masked], [email-masked],
>>   Eli Zaretskii <[email-masked]>
>> From: Paul Eggert <[email-masked]>
>>
>> On 12/8/21 23:44, Ulrich Mueller wrote:
>>> See my earlier message from 00:19 UTC today?
>>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51327#78
>>
>> Yes, and since the latest proposal[1] does not add any environment
>> variables or command-line options, and so is even simpler and
>> less-intrusive than what Eli already OKed[2], I assume he'll be fine
>> with it once he finds the time to read it.
> 
> I've read it when you posted it, I'm just waiting for all the
> participants to agree to that fix.

I looked over the patch and tried it out briefly, and I'm ok with it 
too. As mentioned previously, I'm no expert on the security 
implications, but this does resolve my (perhaps slightly paranoid) 
concern about symlink attacks.

Hopefully we can come up with a longer term solution that makes it 
easier for Gentoo users to get things set up correctly, but I'm not sure 
off-hand what the best strategy there would be...